Subject: bug#37564: [PATCH] don't export LINES and COLUMNS env vars in term to fix ncurses applications

From: Glenn Morris <[email-masked]>
Date: Thu, 03 Oct 2019 13:51:16 -0400

I think the point is that no terminal emulator / shell combination
actually exports LINES and COLUMNS as environment variables, except for
Emacs term.el. So no application can be relying on the LINES and COLUMNS
environment variables (since there aren't any applications specifically
for use inside Emacs's term). So term.el should stop setting them, since
it actually causes problems.